CDN
Create CDN Zone
post
/cdn/zonesCreate a new CDN zone.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Request body
Create a new CDN zone
application/jsonRequired
name*string
Zone name (used as subdomain: {name}.cube.io)
Range
1 ≤ length ≤ 63Rangepattern ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$custom_domain?string | null
Custom domain (optional)
Range
1 ≤ length ≤ 253plan_name*string
CDN plan name
project_id?integer | null
Project ID (uses default if not specified)
Responses
Successful Response
application/json
uuid*string
name*string
domain*string
status*CDNZoneStatus
Value in
"deploying""active""suspended""deleting""deleted"plan_name*string
detail*string